/// <reference types="@progress/kendo-ui" />
import * as React from 'react';
export interface KendoWidgetProps {
    widgetRef?(widget: kendo.ui.Widget): void;
}
declare class KendoBaseComponent<P extends KendoWidgetProps, S> extends React.PureComponent<P, S> {
    destroyed: boolean;
    widgetInstance: kendo.ui.Widget;
    widgetDestroy: Function;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private exposeWidget();
    private overrideDestroy();
}
export default KendoBaseComponent;
